#include <delay.h>

// test.h

unsigned char StateMachine(char state, unsigned char stimuli);
char Read_mem(char input);
char Mem_up(char input);
char Mem_down(char input);
char Auto_scan_up(char input);
char Manual_search_up(char input);
char Manual_search_down(char input);
char Stereo(char input);
char Mono(char input);
char Noise_on(char input);
char Noise_off(char input);

#define FALSE   0
#define TRUE    (!FALSE)
#define NULL    0


// Menu state machine states
#define ST_RADIKAL2                         10
#define ST_READ_MEM                         11
#define ST_POWER                            12
#define ST_MEM_UP                           20
#define ST_MEM_DOWN                         21
#define ST_AUTOSEARCH                       30
#define ST_AUTOSEARCH_SEARCH                31
#define ST_SCAN_UP                          32
#define ST_MANUALSEARCH                     40
#define ST_MANUALSEARCH_SEARCH              41
#define ST_MANUALSEARCH_SEARCH_UP           42
#define ST_MANUALSEARCH_SEARCH_DOWN         43
#define ST_MANUALSEARCH_UP                  44
#define ST_MANUALSEARCH_DOWN                45
#define ST_OPTIONS                          50
#define ST_OPTIONS_ST_MN                    51
#define ST_STEREO_MONO                      52
#define ST_STEREO                           53
#define ST_MONO                             54
#define ST_OPTIONS_NOISE                    55
#define ST_NOISE                            56
#define ST_NOISE_ON                         57
#define ST_NOISE_OFF                        58



//Button definitions

#define KEY_NULL    0
#define KEY_ENTER   1
#define KEY_NEXT    2
#define KEY_PREV    3
#define KEY_PLUS    4
#define KEY_MINUS   5
